List asynchronous operations
Lists asynchronous operations for the active organization, newest first. Pass `nextCursor` back as `cursor` for the next page; it is null on the last page.
Lists asynchronous operations for the active organization, newest first. Pass nextCursor back as cursor for the next page; it is null on the last page.
Authorization
apiKey In: header
Query Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/operations"{ "items": [ { "id": "string", "organizationId": "string", "kind": "email-domain-provisioning", "subject": { "type": "string", "id": "string" }, "actor": { "type": "user", "id": "string" }, "status": "pending", "phase": "accepted", "error": { "code": "validation-failed", "message": "string" }, "createdAt": "string", "updatedAt": "string", "startedAt": "string", "completedAt": "string" } ], "nextCursor": "string"}Related documentation
Get an asynchronous operation
Returns one asynchronous operation from the active organization. Use this endpoint to get an asynchronous operation through the Samva email API.
Retry an asynchronous operation
Retries a failed operation in place when its error is retryable. Retrying an organization deletion additionally requires `organization:delete`.